Subject: Parenthesis subexpressions

From: Valerio Bozzolan <[email-masked]>
Date: Sun, 08 Nov 2015 21:42:44 +0100

Hi,

(First time in a GNU mailing list!)

I've already asked this question to my local GNU/Linux user group and in #grep@Freenode... I'm still confused.

GNU Grep don't have an arg to choose the subexpression. Right?

Stupid e.g.:
    echo abcde | grep -o -E 'b([a-z])d'
    => "bcd"

What if I want the first subexpression? ("b")? GNU Grep can't do it. Isn't it? (Why?)

I actually use GNU Awk, or GNU Bash with $BASH_REMATCH[$n_sub].

Thank you for the clarification!
--
Valerio Bozzolan
Email sent from Android (CyanogenMod) using K-9 Mail.